OrderItem:
  type: object
  properties:
    id:
      type: integer
      description: id элемента корзины
    order_id:
      type: integer
      description: ID заказа
      example: 1234
    shipment_id:
      type: integer
      description: ID отгрузки
      example: 1234
    offer_id:
      type: integer
      description: ID оффера
      example: 1234
    name:
      type: string
      description: Название товара
    qty:
      type: number
      description: Кол-во товара
    old_qty:
      type: number
      description: Старое кол-во товара
      nullable: true
    price:
      type: integer
      description: Цена товара (цена * qty - скидки) (в коп.)
    price_per_one:
      type: integer
      description: Цена единичного товара (в коп.)
    cost:
      type: integer
      description: Цена товара до скидок (цена * qty) (в коп.)
    cost_per_one:
      type: integer
      description: Цена единичного товара до скидок (в коп.)
    product_weight:
      type: number
      description: Вес нетто товара (кг)
      example: 10
    product_weight_gross:
      type: number
      description: Вес брутто товара (кг)
      example: 8.5
    product_width:
      type: number
      description: Ширина товара (мм)
      example: 100
    product_height:
      type: number
      description: Высота товара (мм)
      example: 100
    product_length:
      type: number
      description: Длина товара (мм)
      example: 100
    product_barcode:
      type: string
      description: артикул (EAN)
      example: "14853"
      nullable: true
    refund_qty:
      type: number
      description: Количество возвращаемых элементов корзины в заявке
      example: 10
      nullable: true
    created_at:
      type: string
      format: date-time
      description: дата создания
    updated_at:
      type: string
      format: date-time
      description: дата обновления
    is_added:
      type: boolean
      description: флаг, что товар был добавлен
    is_deleted:
      type: boolean
      description: флаг, что товар был удалён

  required:
    - id
    - order_id
    - shipment_id
    - offer_id
    - name
    - qty
    - price
    - price_per_one
    - cost
    - cost_per_one
    - product_weight
    - product_weight_gross
    - product_width
    - product_height
    - product_length
    - product_barcode
    - created_at
    - updated_at

OrderItemChangeQtyRequest:
  type: object
  properties:
    order_items:
      type: array
      items:
        type: object
        properties:
          item_id:
            type: integer
            description: Идентификатор элемента заказа
          qty:
            type: number
            description: Новое количество
        required:
          - item_id
          - qty
  required:
    - order_items

OrderItemChangeQtyResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/OrderItem'
  required:
    - data

OrderItemsAddRequest:
  type: object
  properties:
    order_items:
      type: array
      items:
        type: object
        properties:
          offer_id:
            type: integer
            description: Идентификатор товарного предолжения
          qty:
            type: number
            description: Количество товара
        required:
          - offer_id
          - qty
  required:
    - order_items

OrderItemsAddResponse:
  type: object
  properties:
    data:
      $ref: './orders.yaml#/Order'
  required:
    - data

OrderItemsDeleteRequest:
  type: object
  properties:
    offer_ids:
      type: array
      items:
        type: integer
  required:
    - offer_ids
